body{
  margin:0;
  background-image:url("asadal_stock_65.jpg");
  background-repeat:no-repeat;
  background-size:cover;
  background-position: center;
  background-attachment:fixed;
  overflow-x:hidden;
  font-family: "Segoe UI", Arial, sans-serif;
 }
 
 
 
 
 

/* ========================= CAJAS DE CRISTAL ========================= */

.glass1{
    position: fixed;
    top:25px;
    left:63px;
    width:160px;
    height:160px;
}
.glass2{
    position: fixed;
    top:50%;
    left:63px;
    transform: translate(0%, -50%);
    width:160px;
    height:160px;
}
.glass3{
    position: fixed;
    bottom:25px;
    left:63px;
    width:160px;
    height:160px;
}

.glass{

    border-radius:58px;

    overflow:hidden;

    isolation:isolate;



    background:

    /* HIGHLIGHT SUPERIOR */

    linear-gradient(
        to bottom,

        rgba(255,255,255,1) 0%,

        rgba(255,255,255,0.82) 6%,

        rgba(255,255,255,0.28) 14%,

        rgba(255,255,255,0.08) 24%,

        transparent 38%
    ),

    /* ILUMINACIÓN IZQUIERDA */

    linear-gradient(
        115deg,

        rgba(255,255,255,0.55) 0%,

        rgba(255,255,255,0.14) 22%,

        transparent 42%
    ),

    /* SOMBRA INFERIOR */

    linear-gradient(
        to top,

        rgba(0,0,0,0.10),

        transparent 22%
    ),

    /* CUERPO */

    linear-gradient(
        to bottom,

        rgba(255,255,255,0.72) 0%,

        rgba(255,255,255,0.36) 12%,

        rgba(255,255,255,0.14) 34%,

        rgba(255,255,255,0.08) 58%,

        rgba(255,255,255,0.18) 100%
    );

    backdrop-filter:

    blur(1.5px)

    brightness(118%)

    saturate(180%)

    contrast(112%);

    -webkit-backdrop-filter:

    blur(1.5px)

    brightness(118%)

    saturate(180%)

    contrast(112%);

    border:
    3px solid rgba(255,255,255,0.98);

    box-shadow:

        /* BLOOM BLANCO */
        0 0 12px rgba(255,255,255,1),

        0 0 35px rgba(255,255,255,0.75),

        /* BLOOM CYAN */
        0 0 45px rgba(0,200,255,0.55),

        /* PROFUNDIDAD */
        0 25px 45px rgba(0,0,0,0.20),

        /* HIGHLIGHTS */
        inset 0 2px 1px rgba(255,255,255,1),

        inset 0 -2px 2px rgba(255,255,255,0.35),

        inset 0 0 22px rgba(255,255,255,0.18),

        inset 0 -12px 28px rgba(255,255,255,0.08);
}

  /* REFLEJO GIGANTE */
   .glass::before{

    content:"";

    position:absolute;

    top:-58%;
    left:-14%;

    width:44%;
    height:240%;

    background:

    linear-gradient(
        to right,

        rgba(255,255,255,1) 0%,

        rgba(255,255,255,1) 10%,

        rgba(255,255,255,0.72) 24%,

        rgba(255,255,255,0.22) 42%,

        rgba(255,255,255,0.06) 60%,

        transparent 100%
    );

    transform:
    rotate(24deg);

    filter:
    blur(0.5px);

    opacity:1;

    mix-blend-mode:screen;
}

  /* BORDE INTERNO */
   .glass::after{

    content:"";

    position:absolute;

    inset:8px;

    border-radius:48px;

    border:
    2px solid rgba(255,255,255,0.34);

    box-shadow:

        inset 0 0 14px rgba(255,255,255,0.35),

        inset 0 -2px 6px rgba(255,255,255,0.14);
}

/*POSICIÓN*/
.bg{

    position:absolute;
    top:50%;
    left:50%;
    transform: translate(-50%, -50%);
    max-width:85%;
    max-height:85%;
    object-fit:contain;

    z-index:-1;
}






/*================== BLOQUE VENTANA WINDOWS =====================*/

.aero-window{

    width:620px;
    height:auto;
    position: relative;

    margin:25px auto 25px auto;
    border-radius:10px;
    padding:6px;

    background:
        linear-gradient(
            to bottom,
            rgba(255,255,255,0.95) 0%,
            rgba(170,220,255,0.95) 45%,
            rgba(120,180,240,0.95) 100%
        );

    box-shadow:
        0 0 0 1px rgba(255,255,255,0.9),
        0 0 0 2px rgba(70,130,200,0.9),
        0 12px 35px rgba(0,0,0,0.45);

  }

/* INTERIOR */
.window-content{
    font-family: "Segoe UI", Arial, sans-serif;
    position:relative;
    background:white;
    
    border-radius:0 0 5px 5px;
    padding:30px;
    box-sizing:border-box;
    
    height: auto;
    overflow:visible;
  }

/* BARRA SUPERIOR */
.title-bar{
    height:38px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 10px;
    border-radius:5px 5px 0 0;

    background:
        linear-gradient(
            to bottom,
            #eef9ff 0%,
            #d2ecff 30%,
            #7eb8e8 31%,
            #5ea6e4 100%
        );

    border:1px solid rgba(255,255,255,0.7);

    box-shadow:
        inset 0 1px rgba(255,255,255,1),
        inset 0 -1px rgba(255,255,255,0.25);
  }

/* TITULO */
.title{
    color:white;
    font-family:"Segoe UI", sans-serif;
    font-size:14px;
    font-weight:600;
    text-shadow:
        0 1px 3px rgba(0,0,0,0.6);
  }

/* BOTONES */
.controls{
    display:flex;
    gap:5px;
  }
  .controls button{
    width:28px;
    height:22px;
    border:none;
    border-radius:3px;

    background:
        linear-gradient(
            to bottom,
            rgba(255,255,255,0.95),
            rgba(180,220,255,0.5)
        );

    color:#12456b;

    cursor:pointer;

    box-shadow:
        inset 0 1px rgba(255,255,255,1),
        0 1px 2px rgba(0,0,0,0.2);
  }
   .controls button:hover{
     background:
        linear-gradient(
            to bottom,
            #ffffff,
            #8ed3ff
        );
    }

/* CERRAR */
.close:hover{
    background:
        linear-gradient(
            to bottom,
            #ff8c8c,
            #d60000
        );

    color:white;
  }

/*Contenido*/
 .img-box{
    position:relative;
    width:590px;
    margin:0 auto;
    top:-10px;
    left:-15px;
}
   .banner{
    width:100%;
    display:block;
  }
   .overlay{
    position:absolute;
    width:300px;
    top:50%;
    left:50%;
    transform:translate(-50%, -50%);
    z-index: 2;
}
 .texto1{
    padding:20px;
    margin-top:-20px;
  }
  


  
  
  
  /*================== BLOQUE VENTANA WINDOWS 2 LADO DERECHO=====================*/
  
.aero-window-2{
    width:250px;
    position:absolute;
    top:25px;
    right: 14px;
    border-radius:10px;
    padding:6px;

    background:
        linear-gradient(
            to bottom,
            rgba(255,255,255,0.95) 0%,
            rgba(170,220,255,0.95) 45%,
            rgba(120,180,240,0.95) 100%
        );

    box-shadow:
        0 0 0 1px rgba(255,255,255,0.9),
        0 0 0 2px rgba(70,130,200,0.9),
        0 12px 35px rgba(0,0,0,0.45);

    z-index:10;
  }

.window-content-2{
    background:white;
    padding:20px;
    border-radius:0 0 5px 5px;
    text-align:center;
  }

/* =========================
   MARCO SUPERIOR
========================= */

.profile-container{
    position:relative;
    width:220px;
    height:220px;
    margin:-10px auto 5px auto;
  }
  .profile-photo{
    position:absolute;
    
    top:50%;
    left:50%;
    transform:
    translate(-50%, -50%)
    translateY(-3px)
    translateX(-3px);

    width:140px;
    height:140px;

    object-fit:cover;
    z-index:1;
  }
  .profile-frame{
    position:absolute;

    top:0;
    left:0;

    width:100%;
    height:100%;

    z-index:2;
    pointer-events:none;
  }


/* =========================
   LOGIN
========================= */

.login-area{
    width:190px;
    margin:0 auto 15px auto;
  }

/* USUARIO */
.aero-input{
    width:100%;
    height:36px;
    padding:0 10px;
    box-sizing:border-box;
    border-radius:4px;
    border:1px solid #9fb8cc;

    background:
        linear-gradient(
            to bottom,
            #ffffff,
            #f3f7fb
        );

    font-family:"Segoe UI", sans-serif;

    font-size:13px;

    color:#444;

    box-shadow:
        inset 0 1px 2px rgba(0,0,0,.15);
  }

/* FILA CONTRASEÑA */
.password-row{
    display:flex;
    align-items:center;
    gap:8px;
    margin-top:8px;
  }

/* INPUT PASSWORD */
.password-row .aero-input{
    flex:1;
    min-width:0;
  }

/* BOTÓN FLECHA */
.login-btn{
    width:36px;
    height:36px;
    flex-shrink:0;
    border:none;
    border-radius:50%;
    cursor:pointer;
    color:white;
    font-size:18px;
    font-weight:bold;

    background:
        linear-gradient(
            to bottom,
            #7fd9ff,
            #0076ff
        );

    box-shadow:

        inset 0 1px rgba(255,255,255,.9),

        0 0 8px rgba(0,140,255,.6),

        0 2px 4px rgba(0,0,0,.3);

    display:flex;
    justify-content:center;
    align-items:center;
    
  }
  .login-btn:hover{
    background:
        linear-gradient(
            to bottom,
            #b5ecff,
            #1690ff
        );
  }

/* SEPARADOR */
.aero-separator{
    border:none;
    height:1px;
    background:
        linear-gradient(
            to right,
            transparent,
            rgba(100,150,200,.6),
            transparent
        );

    margin:15px 0;
  }

.aero-btn{
    width:100%;
    margin-bottom:10px;
    padding:10px;
    border:none;
    border-radius:6px;
    cursor:pointer;
    font-family:"Segoe UI", sans-serif;
    font-size:14px;
    color:#1b4b72;

    background:
        linear-gradient(
            to bottom,
            #ffffff,
            #d8ebff
        );

    box-shadow:
        inset 0 1px rgba(255,255,255,1),
        0 1px 3px rgba(0,0,0,0.25);

    transition:.2s;
  }
  .aero-btn:hover{
    background:
        linear-gradient(
            to bottom,
            #ffffff,
            #9fd8ff
        );
  }

/*texto*/
.tellme{
  color:#83BBF0;
    text-decoration:none;
  }
  .tellme:hover{
    color:#4CB0B0;
    text-decoration:underline;
  }
  
  
  /*=========================== BURBUJAS =======================*/
  
 #background-effects{
    position:fixed;
    inset:0;
    z-index:-1;
    pointer-events:none;
}

 #bubbles{
    position:fixed;
    inset:0;
    pointer-events:none;
    overflow:hidden;
    z-index:1;
  }

.bubble{
    position:absolute;
    opacity:.8;
    
    will-change:
    transform,left,top;
  }

.panel-image{
    display:block;
    width:100%;
    max-width:180px;
    margin:10px auto;
    border-radius:8px;
}




/*======================= IMAGENES ====================*/

.miku{
    position:absolute;
    right:-175px;
    bottom:-65px;
    width:410px;
  
   filter:
        drop-shadow(2px 0 0 white)
        drop-shadow(-2px 0 0 white)
        drop-shadow(0 2px 0 white)
        drop-shadow(0 -2px 0 white)
        drop-shadow(2px 2px 0 white)
        drop-shadow(-2px 2px 0 white)
        drop-shadow(2px -2px 0 white)
        drop-shadow(-2px -2px 0 white);
  }

.robloxbaby{
    position:absolute;
    right:-25px;
    bottom:-25px;
    width:70px;
  
   filter:
        drop-shadow(2px 0 0 white)
        drop-shadow(-2px 0 0 white)
        drop-shadow(0 2px 0 white)
        drop-shadow(0 -2px 0 white)
        drop-shadow(2px 2px 0 white)
        drop-shadow(-2px 2px 0 white)
        drop-shadow(2px -2px 0 white)
        drop-shadow(-2px -2px 0 white);
  }




/*========================REPRODUCTOR=======================*/

.music-icon{
    cursor:pointer;
  }

.cd-player{
    display:none;
    
    position:fixed;
    top:140px;
    left:50%;
    transform:translateX(-50%);

    width:480px;

    background:#E6E6E6;
    border:2px solid #ffffff;
    border-right-color:#7D7D7D;
    border-bottom-color:#7D7D7D;

    z-index:9999;
  }

.cd-titlebar{
    height:26px;

    background:
        linear-gradient(
            to right,
            #5F9ED4,
            #E3F4FF
        );

    color:white;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 6px;

    font-family:"Verdana", sans-serif;
    font-size:12px;
    font-weight:bold;
    letter-spacing:0.3px;
  }

.cd-close{
    width:24px;
    height:18px;

    border:none;
    border-radius:3px;

    background:
        linear-gradient(
            to bottom,
            rgba(255,255,255,0.95),
            rgba(180,220,255,0.5)
        );

    color:#12456b;
    cursor:pointer;

    box-shadow:
        inset 0 1px rgba(255,255,255,1),
        0 1px 2px rgba(0,0,0,0.2);
  }
    .cd-close:hover{
        background:
        linear-gradient(
            to bottom,
            #ffffff,
            #8ed3ff
        );
      }

.cd-content{
    display:flex;
    gap:15px;
    padding:15px;
  }

.album-cover{
    width:170px;
    height:170px;
    overflow:hidden;
    
    background:#bdbdbd;
    border:2px solid #808080;
    border-top-color:white;
    border-left-color:white;
  }
  .album-cover img{
    width:100%;
    height:100%;

    object-fit:cover;
  }

.cd-right{
    flex:1;
  }

.field-row{
    display:flex;
    align-items:center;

    gap:8px;
    margin-bottom:12px;

    font-family:Tahoma,sans-serif;
  }
  .field-row label{
    width:50px;
  }
  .field-row input{
    flex:1;
    height:22px;
    
    background:white;
    border:2px solid #7D7D7D;
    border-top-color:#7D7D7D;
    border-left-color:#7D7D7D;
  }

.volume-row{
    margin:20px 0;
  }

#volumeSlider{
    -webkit-appearance:none;
    appearance:none;

    width:100%;
    height:8px;

    background:#D5DCE3;
    border:
        2px solid #808080;
    border-top-color:#8A8A8A;
    border-left-color:#8A8A8A;
  }
  #volumeSlider::-webkit-slider-thumb{
    -webkit-appearance:none;

    width:10px;
    height:18px;

    background:#c0c0c0;
    border:
        2px solid white;

    border-right-color:#404040;
    border-bottom-color:#404040;
  }

.controls-player{
    display:flex;
    gap:8px;
  }
  .controls-player button{
    width:60px;
    height:32px;
    
    cursor:pointer;

    background:#E6E6E6;
    border:2px solid white;
    border-right-color:#404040;
    border-bottom-color:#404040;

    font-size:18px;
  }

.cd-player{
    opacity:0;
    scale:0.92;

    transition:
        opacity .25s ease,
        scale .25s ease;

    pointer-events:none;
    backdrop-filter:blur(10px);

    box-shadow:
     0 0 0 1px rgba(255,255,255,.8),
     0 15px 40px rgba(0,0,0,.35),
     0 0 30px rgba(120,210,255,.25);
  }

.cd-player.show{
    opacity:1;
    scale:1;
    pointer-events:auto;
  }




/*================ MENSAJES =================*/

#popupMessage{
    position:fixed;
    top:20px;
    left:20px;

    z-index:99999;

    opacity:0;
    pointer-events:none;

    transform:
        translateY(-40px);
  }
   #popupMessage img{
    max-width:400px;
    display:block;
  }

/* ENTRADA */
.popup-show{
    animation:
        popupIn 1s ease forwards;
  }

/* SALIDA */
.popup-hide{
    animation:
        popupOut 0.8s ease forwards;
  }
   @keyframes popupIn{
  
    from{
        opacity:0;
        transform:
            translateY(-40px);
    }

    to{
        opacity:1;
        transform:
            translateY(0);
    }
  }
   @keyframes popupOut{

    from{
        opacity:1;
        transform:
            translateY(0);
    }

    to{
        opacity:0;
        transform:
            translateY(-40px);
    }
  }
